/*
 * $Id: argf.h,v 1.1 90/12/07 11:50:00 drew Exp $
 * 
 * $Log:	argf.h,v $
# Revision 1.1  90/12/07  11:50:00  drew
# Initial revision
# 
 */

/**********************************************************************
 * Copyright 1990,1991 by University of Toronto, Toronto, Ontario, Canada.
 * 
 *			 All Rights Reserved
 * 
 * Permission to use, copy, modify, distribute, and sell this software
 * and its documentation for any purpose is hereby granted without fee, 
 * provided that the above copyright notice appears in all copies and that 
 * both the copyright notice and this permission notice appear in 
 * supporting documentation, and that the name of University of Toronto 
 * not be used in advertising or publicity pertaining to distribution 
 * of the software without specific, written prior permission.  
 * University of Toronto makes no representations about the suitability 
 * of this software for any purpose. It is provided "as is" without 
 * express or implied warranty. 
 *
 * UNIVERSITY OF TORONTO DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS 
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND 
 * FITNESS, IN NO EVENT SHALL UNIVERSITY OF TORONTO BE LIABLE FOR ANY 
 * SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER 
 * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF 
 * CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 **********************************************************************/

#ifndef _ARG_H_
#define _ARG_H_

#include "useful.h"

struct ARG_DESC *StartArgs ARGS((char *));
void Args ARGS(());
void EndArgs ARGS((struct ARG_DESC *));

char **ParseArgs ARGS((struct ARG_DESC*, int, char**, int));

#define EXTRA_OPTIONS	1
#define EXTRA_ARGS	2
#define RETURN_DUP_ARGS	16
#define NO_RETURN_ON_ERROR	4
#define RETURN_ON_ERROR	8

#endif _ARG_H_
