/*
 * $Id: arg-store.h,v 1.1 90/12/07 11:49:57 drew Exp $
 * 
 * $Log:	arg-store.h,v $
# Revision 1.1  90/12/07  11:49:57  drew
# Initial revision
# 
 */

/**********************************************************************
 * Copyright 1990,1991 by University of Toronto, Toronto, Ontario, Canada.
 * 
 *			 All Rights Reserved
 * 
 * Permission to use, copy, modify, distribute, and sell this software
 * and its documentation for any purpose is hereby granted without fee, 
 * provided that the above copyright notice appears in all copies and that 
 * both the copyright notice and this permission notice appear in 
 * supporting documentation, and that the name of University of Toronto 
 * not be used in advertising or publicity pertaining to distribution 
 * of the software without specific, written prior permission.  
 * University of Toronto makes no representations about the suitability 
 * of this software for any purpose. It is provided "as is" without 
 * express or implied warranty. 
 *
 * UNIVERSITY OF TORONTO DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS 
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND 
 * FITNESS, IN NO EVENT SHALL UNIVERSITY OF TORONTO BE LIABLE FOR ANY 
 * SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER 
 * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF 
 * CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 **********************************************************************/

extern boolean argBoolean
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));
extern boolean argString
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));
extern boolean argChar
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));
extern boolean argNatural
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));
extern boolean argInteger
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));
extern boolean argShort
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));
extern boolean argLong
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));
extern boolean argReal
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));
extern boolean argFloat
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));
extern boolean argDouble
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));
extern boolean argFormatStr
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));
extern boolean argAreaFormatStr
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));
extern boolean argRangeStr
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));
extern boolean argVarName
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));
extern boolean argMemberName
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));
extern boolean argFileIn
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));
extern boolean argFileOut
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));

#define NUMBER_ARG_TYPES	20
#define COPYSTR		0x1
#define	ONLYCHECK	0x2
#define	OPTIONAL	0x4

typedef (*ArgStoreFunction)
  ARGS((struct ARG_SIMPLE *, char *, int, struct GLOBAL *));

extern enum ARG_TYPE arg_type_by_char[128];
extern ArgStoreFunction arg_store_function_by_type[NUMBER_ARG_TYPES];
extern char* arg_type_name[NUMBER_ARG_TYPES];
extern char arg_type_char[NUMBER_ARG_TYPES];
extern int arg_types_initialized;
