/*
 * $Id: config.sun.h,v 1.1 90/12/07 11:50:25 drew Exp $
 * 
 * $Log:	config.sun.h,v $
# Revision 1.1  90/12/07  11:50:25  drew
# Initial revision
# 
 */

/**********************************************************************
 * Copyright 1990,1991 by University of Toronto, Toronto, Ontario, Canada.
 * 
 *			 All Rights Reserved
 * 
 * Permission to use, copy, modify, distribute, and sell this software
 * and its documentation for any purpose is hereby granted without fee, 
 * provided that the above copyright notice appears in all copies and that 
 * both the copyright notice and this permission notice appear in 
 * supporting documentation, and that the name of University of Toronto 
 * not be used in advertising or publicity pertaining to distribution 
 * of the software without specific, written prior permission.  
 * University of Toronto makes no representations about the suitability 
 * of this software for any purpose. It is provided "as is" without 
 * express or implied warranty. 
 *
 * UNIVERSITY OF TORONTO DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS 
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND 
 * FITNESS, IN NO EVENT SHALL UNIVERSITY OF TORONTO BE LIABLE FOR ANY 
 * SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER 
 * RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF 
 * CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN 
 * CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 **********************************************************************/

/***
 * Configuration file for sun
 */
#include <strings.h>

#define OPERATING_SYSTEM_NAME "SunOS 4.0.3"

#ifndef MAXPATHLEN
#define MAXPATHLEN 128
#endif

#ifndef MAXHOSTNAMELEN
#define MAXHOSTNAMELEN 128
#endif

extern char *sprintf();
extern double strtod ARGS((char *, char **));

/***
 * Type declaration for signal handler (the type of the object that
 * signal() returns).
 * This should conform with the definition in the standard include
 * file <signal.h>.
 * We want this definition because we want to be able to do things like:
 *   SignalHandler old_handler = signal(SIGINT,new_handler);
 *   ...
 *   (void) signal(old_handler);
 * which installs a new signal handler, then when finished restores
 * the old one.
 */

/* toronto system: @(#)signal.h 2.29 88/03/03 SMI; from UCB 6.7 85/06/08   */
/* dupont  system: @(#)signal.h 1.2 86/10/07 SMI; from UCB 6.7 85/06/08  */


typedef void (*SignalHandler)();
/* compiler will barf on next line if conflict with <signal.h> */
extern SignalHandler signal();
#define BSD_SIGNALS


#ifndef _JBLEN
#ifdef sparc
#define _JBLEN 5
#endif
#ifdef mc68000
#define _JBLEN 15
#endif
#endif

#ifndef _JBLEN
_JBLEN is not defined! (this should cause a syntax error)
#endif

